Loading...
Searching...
No Matches
Pop3ClientDataProvider::Pop3ClientMessageGetDataProvider Class Reference

The POP3 message parent data provider. More...

`#include <Pop3ClientMessageGetDataProvider.qc.dox.h>`

Inheritance diagram for Pop3ClientDataProvider::Pop3ClientMessageGetDataProvider:
[legend]

## Public Member Functions

| constructor (Pop3Client pop3, string id)
| Creates the object from an POP3 connection.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
Public Member Functions inherited from Pop3ClientDataProvider::Pop3ClientDataProviderBase
| constructor (*hash< auto > options, hash< string, hash< DataProviderOptionInfo > > con_opts=ConstructorOptions)
| Creates the object from constructor options.
| constructor (Pop3Client pop3)
| Creates the object from an POP3 connection.
Pop3Client | getPop3ClientConnection (hash< auto > options)
| Returns an POP3 connection from constructor options.

## Public Attributes

const | ProviderInfo = ...
| Provider info.
Public Attributes inherited from Pop3ClientDataProvider::Pop3ClientDataProviderBase
const | ConstructorOptions = ...
| Constructor arguments.

## Protected Member Functions

auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response.
*AbstractDataProviderType | getRequestTypeImpl ()
| Returns the description of a successful request message, if any.
*AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Protected Attributes

string | id
| Message ID.

## Detailed Description

The POP3 message parent data provider.

## Member Function Documentation

## doRequestImpl()

auto Pop3ClientDataProvider::Pop3ClientMessageGetDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options )

protected

Makes a request and returns the response.

Parameters

  req | the request info
  request_options | the request options; will be processed by validateRequestOptions()

Returns
  the response to the request

## getRequestTypeImpl()

*AbstractDataProviderType Pop3ClientDataProvider::Pop3ClientMessageGetDataProvider::getRequestTypeImpl | ( |  | ) |

protected

Returns the description of a successful request message, if any.

Returns
  the request type for this provider

## getResponseTypeImpl()

*AbstractDataProviderType Pop3ClientDataProvider::Pop3ClientMessageGetDataProvider::getResponseTypeImpl | ( |  | ) |

protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message